children: Get child taxa in classification tree

API: catalogueoflife.org:catalogue-of-life-api
Endpoint: /dataset/{datasetKey}/tree/{id}/children
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 208ms

Description

Returns the immediate children of a taxon in the classification hierarchy. Use this to browse the taxonomic tree (e.g., genera within a family, species within a genus).

Parameters (4)

datasetKey (string, path, required)

Dataset identifier

id (string, path, required)

Parent taxon identifier

limit (integer, query, optional, default: 100)

Maximum number of results to return

offset (integer, query, optional, default: 0)

Number of results to skip

Examples (1)

Get child taxa in classification tree openapi-spec
curl 'https://api.catalogueoflife.org/dataset/3LR/tree/C3K84/children'
import requests

resp = requests.get("https://api.catalogueoflife.org/dataset/3LR/tree/C3K84/children")
data = resp.json()
import zingu_apis

api = zingu_apis.api("catalogueoflife")
result = api.fetch("dataset/{datasetKey}/tree/{id}/children")

for item in result:
    print(item)
const resp = await fetch("https://api.catalogueoflife.org/dataset/3LR/tree/C3K84/children");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:10:59.651939 200 208ms
2026-04-15 04:01:31.611812 200 289ms
2026-04-14 00:05:30.692008 200 216ms
2026-04-12 16:28:45.411309 200 392ms
2026-04-10 01:20:50.313027 200 162ms
2026-04-09 00:41:53.853013 200 261ms
2026-04-08 07:01:07.434268 200 326ms
2026-04-07 01:34:28.126161 200 236ms
2026-04-05 21:03:28.284047 200 960ms
2026-04-05 00:04:41.271562 200 480ms
2026-04-04 02:08:13.887217 200 641ms
2026-04-03 12:06:06.956667 200 356ms
2026-03-30 12:04:13.658352 ERR